Page 2 of 8 FirstFirst 1234 ... LastLast
Results 11 to 20 of 71

Thread: Howto: Build the newest version of Bluefish under Ubuntu

  1. #11
    Join Date
    Mar 2010
    Location
    Rawalpindi, Pakistan
    Beans
    35
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: Howto: Build the newest version of Bluefish under Ubuntu

    Thank you soooooooooooo much its working


    Regards
    Shahzad



    Quote Originally Posted by andrew.46 View Post
    In February 2010 Bluefish 2.0.0 was released. This mini-guide demonstrates how to build this version from source under Ubuntu and has been tested under Karmic Koala and Lucid Lynx. First we need to remove the repository version if it has been installed:

    Code:
    sudo apt-get remove bluefish
    Next download some compiling tools and dependencies:

    Code:
    sudo apt-get install build-essential checkinstall libart-2.0-dev libaspell-dev \
    libbonobo2-dev libbonoboui2-dev libgail-dev libgnome-keyring-dev libgnome2-dev \
    libgnomecanvas2-dev libgnomeui-dev libpcre3-dev libpcrecpp0 libpopt-dev \
    libgvfscommon-dev libgucharmap2-dev libenchant-dev
    Next download the source code, open the tarball and compile and install it:

    Code:
    $ cd $HOME
    $ wget http://www.bennewitz.com/bluefish/stable/source/bluefish-2.0.0.tar.bz2
    $ tar xjvf bluefish-2.0.0.tar.bz2
    $ cd bluefish-2.0.0
    $ ./configure
    $ make
    $ sudo checkinstall --pakdir "$HOME/Desktop" --backup=no --deldoc=yes \
      --deldesc=yes --delspec=yes --default --pkgversion "2.0.0"
    $ make distclean
    And that is it! This gives you the newest version of this great editor. Please feel free to post any problems in this thread or even better any successes!

    Recent Updates to This Guide:

    • Successfully tested under Lucid Lynx
    Mughal Shahzad
    Principle Software Engineer
    Netsol Technologies CBT
    Islamabad, Pakistan

  2. #12
    Join Date
    Dec 2006
    Beans
    7,178

    Re: Howto: Build the newest version of Bluefish under Ubuntu

    Hi Shahzad,

    Quote Originally Posted by MughalShahzad View Post
    Thank you soooooooooooo much its working
    Excellent news, I hope you enjoy the new version .

    All the best,

    Andrew
    You think that's air you're breathing now?

  3. #13
    Join Date
    Nov 2006
    Location
    McKenney, VA
    Beans
    206
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Howto: Build the newest version of Bluefish under Ubuntu

    When I use make I get an error message that tells me make: *** No targets specified and no makefile found. Stop. So this is as far as I can go.

    Any help on this one I would like to get this program.

    I am using 10.04 ubuntu
    Last edited by ronbrooks; June 8th, 2010 at 05:58 PM.

  4. #14
    Join Date
    Jun 2010
    Beans
    1

    Re: Howto: Build the newest version of Bluefish under Ubuntu

    I went through all the steps, and everything seemed to go well. My only problem is that I can't find the BlueFish editor to run....

    I am running Linux Mint...

    Thanks

  5. #15
    Join Date
    Feb 2007
    Beans
    7

    Re: Howto: Build the newest version of Bluefish under Ubuntu

    Quote Originally Posted by uniquedoug View Post
    I went through all the steps, and everything seemed to go well. My only problem is that I can't find the BlueFish editor to run....

    I am running Linux Mint...

    Thanks
    You can start it by typing 'bluefish' in the terminal.

    How can I add it as an icon though, to open it without having to use the terminal? And it also seems like my settings never get saved, I change my basedir to something else but next time I open Bluefish, it has gone back to the default...

    I'm on Ubuntu 10.04.
    Last edited by pEkvo; June 25th, 2010 at 03:02 AM.

  6. #16
    Join Date
    Dec 2006
    Beans
    7,178

    Re: Howto: Build the newest version of Bluefish under Ubuntu

    Hi ron,

    Quote Originally Posted by ronbrooks View Post
    When I use make I get an error message that tells me make: *** No targets specified and no makefile found. Stop. So this is as far as I can go.
    Sorry about the delay, I am not running Ubuntu at the moment and only check on the forums every now and then . Can you give the results of ./configure please, but first run 'make distclean' in the source directory.

    All the best,

    Andrew
    You think that's air you're breathing now?

  7. #17
    Join Date
    Mar 2010
    Location
    milwaukee
    Beans
    18
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Howto: Build the newest version of Bluefish under Ubuntu

    It worked for me just fine

  8. #18
    Join Date
    Jun 2010
    Beans
    1

    Re: Howto: Build the newest version of Bluefish under Ubuntu

    Quote Originally Posted by andrew.46 View Post
    Hi ron,



    Sorry about the delay, I am not running Ubuntu at the moment and only check on the forums every now and then . Can you give the results of ./configure please, but first run 'make distclean' in the source directory.

    All the best,

    Andrew
    Hi All,

    I ran into the same problem (Ubuntu 10.04, 64bit). It turned out (whilst I copy and pasted the script) I missed the error.

    At the end of "./configure" it said:
    Code:
    checking for intltool-update... no
    checking for intltool-merge... no
    checking for intltool-extract... no
    configure: error: The intltool scripts were not found. Please install intltool.
    then you just:

    Code:
    sudo apt-get install intltool
    and try it again, that should finish it.

    Hope that helps,

    Sven.

  9. #19
    Join Date
    Oct 2007
    Beans
    2

    Smile Re: Howto: Build the newest version of Bluefish under Ubuntu

    Hello !

    I compiled Bluefish 2.0.1 on Lucid Lynx 64Bits. It works !

    I had to add intltool package.

    Autocompletion is really useful.

    Thanks for the help.

  10. #20
    Join Date
    Dec 2006
    Beans
    7,178

    Re: Howto: Build the newest version of Bluefish under Ubuntu

    Hi Jeece,

    Quote Originally Posted by Jeece View Post
    I compiled Bluefish 2.0.1 on Lucid Lynx 64Bits. It works !
    Great news .

    Andrew
    You think that's air you're breathing now?

Page 2 of 8 FirstFirst 1234 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •